Package org.springframework.batch.core.job.builder

# Class JobFlowBuilder

java.lang.Object
org.springframework.batch.core.job.builder.FlowBuilder<FlowJobBuilder>
org.springframework.batch.core.job.builder.JobFlowBuilder

public class JobFlowBuilder extends FlowBuilder<FlowJobBuilder>

Author:
  Dave Syer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.springframework.batch.core.job.builder.FlowBuilder

  `FlowBuilder.SplitBuilder<Q>, FlowBuilder.TransitionBuilder<Q>, FlowBuilder.UnterminatedFlowBuilder<Q>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobFlowBuilder(FlowJobBuilder parent)`
  `JobFlowBuilder(FlowJobBuilder parent, Flow flow)`
  `JobFlowBuilder(FlowJobBuilder parent, JobExecutionDecider decider)`
  `JobFlowBuilder(FlowJobBuilder parent, Step step)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlowJobBuilder`
  `build()`
  Build a flow and inject it into the parent builder.

  ### Methods inherited from class org.springframework.batch.core.job.builder.FlowBuilder

  `end, flow, from, from, from, next, next, next, on, split, start, start, start, stop, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobFlowBuilder

    public JobFlowBuilder(FlowJobBuilder parent)

  - ### JobFlowBuilder

    public JobFlowBuilder(FlowJobBuilder parent, Step step)

  - ### JobFlowBuilder

    public JobFlowBuilder(FlowJobBuilder parent, JobExecutionDecider decider)

  - ### JobFlowBuilder

    public JobFlowBuilder(FlowJobBuilder parent, Flow flow)

- ## Method Details

  - ### build

    public FlowJobBuilder build()
    Build a flow and inject it into the parent builder. The parent builder is then returned so it can be enhanced before building an actual job. Normally called explicitly via `FlowBuilder.end()`.
    Overrides:
      `build` in class `FlowBuilder<FlowJobBuilder>`
    Returns:
      a flow
    See Also:
      - `FlowBuilder.build()`